<?php
				for($i=0;$i<$_REQUEST['numExistentesFp'];$i++)
				{
						if($_REQUEST['Fp'.$i.'cur']!="")
						{
							mysql_query("UPDATE historial SET idCurso=".$_REQUEST['Fp'.$i.'cur']." WHERE id=".$_REQUEST['idFp'.$i], $conexion);
						}
						$idanio=$_REQUEST['Fp'.$i.'anio'];
						$otroanio=$_REQUEST['Fp'.$i.'anio'];
						if($idanio!="")
						{
							if($idanio=="Otra") //Nuevo Año
							{
								if($otroanio!="")
								{
									mysql_query("INSERT INTO anioacademico (anioAcademico) VALUES ('".$otroanio."')", $conexion);
									$consultaAnio=mysql_query("SELECT * FROM anioacademico ORDER BY id DESC",$conexion);
									$filaAnio=mysql_fetch_array($consultaAnio);
									$idanio=$filaAnio['id'];
								} else
								{
									$idanio=0;
								}
							}
							mysql_query("UPDATE historial SET idAnio=$idanio WHERE id=".$_REQUEST['idFp'.$i], $conexion);
						}
						mysql_query("UPDATE historial SET centro='".$_REQUEST['Fp'.$i.'centro']."' WHERE id=".$_REQUEST['idFp'.$i], $conexion);
						mysql_query("UPDATE historial SET grado='".$_REQUEST['Fp'.$i.'grado']."' WHERE id=".$_REQUEST['idFp'.$i], $conexion);
						mysql_query("UPDATE historial SET denCiclo='".$_REQUEST['Fp'.$i.'den']."' WHERE id=".$_REQUEST['idFp'.$i], $conexion);
						mysql_query("UPDATE historial SET famProf='".$_REQUEST['Fp'.$i.'fam']."' WHERE id=".$_REQUEST['idFp'.$i], $conexion);
						mysql_query("UPDATE historial SET modular='".$_REQUEST['Fp'.$i.'mod']."' WHERE id=".$_REQUEST['idFp'.$i], $conexion);
				}

				//NUEVAS

				for(;$i<=3;$i++)
				{
					if($_REQUEST['Fp'.$i.'cur']!=0)
					{
						$idanio=$_REQUEST['Fp'.$i.'anio'];
						$otroanio=$_REQUEST['Fp'.$i.'anio'];
						if($idanio!="")
						{
							if($idanio=="Otra") //Nuevo Año
							{
								if($otroanio!="")
								{
									mysql_query("INSERT INTO anioacademico (anioAcademico) VALUES ('".$otroanio."')", $conexion);
									$consultaAnio=mysql_query("SELECT * FROM anioacademico ORDER BY id DESC",$conexion);
									$filaAnio=mysql_fetch_array($consultaAnio);
									$idanio=$filaAnio['id'];
								} else
								{
									$idanio=0;
								}
							}
						}
						mysql_query("INSERT INTO historial(nivel,idAlumno,idCurso,idAnio,centro,grado,denCiclo,famProf,modular) VALUES(4,$id,".$_REQUEST['Fp'.$i.'cur'].",$idanio,'".$_REQUEST['Fp'.$i.'centro']."','".$_REQUEST['Fp'.$i.'grado']."','".$_REQUEST['Fp'.$i.'den']."','".$_REQUEST['Fp'.$i.'fam']."','".$_REQUEST['Fp'.$i.'mod']."')",$conexion);
					}
				}
?>
